Subject: Re: bug#62907: Eglot does not start managing LaTeX buffer despite reporting successful connection
From: João Távora <[email-masked]>
To: Michael Eliachevitch <[email-masked]>, [email-masked]
Date: Wed, 19 Apr 2023 01:10:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Apr 17, 2023 at 10:31 PM Michael Eliachevitch
<[email-masked]> wrote:
>
>
> >> I just compiled the latest emacs29 git branch and there I can't
> >> reproduce
> >> the error
> >
> > This is good.  You could try a Git bisection if you have time and
> > know
> > how.
>
> I did a minimal Git bisection on the eglot.el file only, without
> recompiling the rest of Emacs. Seems the error was introduced in
> eglot.el in
>
>   a74403adda0d67b6f0430d1c038a7c96579f3450
>   Eglot: fix LSP "languageId" detection
>
> It still works for the previous commit 43290391ce2.

Your bisection was very effective and found the culprit.
Don't worry about your "awkward" setup and configuration just
for this bug, because I also found and reproduced the bug with
your instructions and it was just a plain old oversight after
a deeper-than-usual refactor.

The bug is fixed now on master, just pushed the following commit:

  commit 9093834d0b590bc15ed994bd62f18f7b47a48f55 (HEAD -> master)
  Author: João Távora <[email-masked]>
  Date:   Wed Apr 19 00:59:17 2023 +0100

      Eglot: unbreak activation/management of derived modes (bug#62907)

So thanks for this report and perfectly complete recipe.  I'm
closing the bug (if you find it to be somehow _not_ fixed I will
reopen).

> 2. I'm sending my Emails from mu4e with format=flowed and long
> lines, inspired by [*], so that Email viewers with f=f support
> reflow the lines and non-compliant clients like Gmail just reflow
> them because the lines are too long. But I found this kind of sucks
> when viewing the Email text on the debbugs.gnu.org website for
> instance. Do you know if these long-line f=f mails are discouraged
> on Emacs mailing lists, bugs or patches? Probably I should adapt
> `fill-flowed-encode-column` based on the recipient and not use the
> setup with long default lines on software mailing lists, will try a
> smaller value now. Hopefully my mails looked okay to you.

They looked OK but not the usual. The usual being the hard line
breaks and about 70/80 columns  I'm guilty of using Gmail to answer
half of the mails I send to these lists (the other half I use Gnus).
In Gmail, I break the lines manually (sometimes horribly).  In Gnus
I use M-q to justify the text.  I have no idea what flags any of these
MUAs is sending.

João